-- Holoboy character prefab. Under scripts/prefab
--TODO: change from deault WOD name
--TODO: fix holoboy textures to better fit default animation
PrefabFiles = {
	"wod",
}

Assets =
{	
	-- logo assets. 
	--TODO: check why red lense effect appears on top
	Asset("IMAGE", "images/holocaust_main_menu.tex"),
	Asset("ATLAS", "images/holocaust_main_menu.xml"),
	-- sound assets. Currently included: Pig "schnell" shout. 
	-- TODO: Check if sound_source is required
	Asset("SOUNDPACKAGE", "sound/sound_mod_tutorial.fev"),
	Asset("SOUND", "sound/sound_mod_tutorial.fsb"),
	-- music assets. Currently included: Vagner main menu theme, battle music, day-night transitions music
	Asset("SOUNDPACKAGE", "sound/music_mod.fev"),
	Asset("SOUND", "sound/music_mod.fsb"),
	--Holoboy portrait assets.
	--TODO: fix transparency in textures
	Asset( "IMAGE", "images/saveslot_portraits/wod.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/wod.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/wod.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/wod.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/wod_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/wod_silho.xml" ),
	Asset( "IMAGE", "bigportraits/wod.tex" ),
	Asset( "ATLAS", "bigportraits/wod.xml" )
}

-- Update Main screen to not have all the junk (code snippet pasted from Screetcher mod)
local function UpdateMainScreen(self)
	self.updatename:SetString("Don't Starve in the Holocaust")
	--remove buttons
	if self.motd then
		if self.motd.button then
			self.motd.button:Kill()
		end
		self.motd:Kill()
	end
	if self.wilson then
		self.wilson:Kill()
	end
	if self.shield then
		self.shield:Kill()
	end
	if self.banner then
		self.banner:Kill()
	end
	if self.submenu then
		self.submenu:Kill()
	end
	if self.promo then
		self.promo:Kill()
	end
	-- the images have a 1-unit offset to get rid of the black line that sometimes appears
	self.bg:SetTexture("images/holocaust_main_menu.xml", "holocaust_main_menu.tex")
end
AddClassPostConstruct("screens/mainscreen", UpdateMainScreen)

--	Adding holoboy as a character. Based on templact character tutorial
-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.
-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.wod = "Holoboy"
GLOBAL.STRINGS.CHARACTER_NAMES.wod = "Wod"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wod = "* A GGJ 2014 Project"
GLOBAL.STRINGS.CHARACTER_QUOTES.wod = "\"I am HoloBoy\""
-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note:  these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.WOD = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE.EVERGREEN = "A template description of a tree."
-- Let the game know Wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wod")
AddModCharacter("wod")

-- changing pig taunts to schnell
RemapSoundEvent( "dontstarve/pig/attack", "sound_mod_tutorial/pig/attack" )
RemapSoundEvent( "dontstarve/pig/grunt", "sound_mod_tutorial/pig/grunt" )
RemapSoundEvent( "dontstarve/pig/oink", "sound_mod_tutorial/pig/oink" )
RemapSoundEvent( "dontstarve/music/music_FE", "music_mod/music/music_FE" )
RemapSoundEvent( "dontstarve/music/music_danger", "music_mod/music/music_danger" )
RemapSoundEvent( "dontstarve/music/music_dawn_stinger", "music_mod/music/music_dawn_stinger" )
RemapSoundEvent( "dontstarve/music/music_dusk_stinger", "music_mod/music/music_dusk_stinger" )
-- RemapSoundEvent( "dontstarve/music/music_hoedown", "music_mod/music/music_hoedown" ) --just testing